%define	name	giggle
%define	version	0.4.91
%define	release	%mkrel 2
%define	summary	Gtk frontend for git

%define libname %mklibname %name %version
%define develname %mklibname -d %name

Summary:	%summary
Name:		%name
Version:	%version
Release:	%release
License:	GPLv2+
Group:		Development/Other
URL:		http://developer.imendio.com/projects/giggle
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
Patch0:		giggle-0.4.91-linkage.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gtk+2-devel
BuildRequires:	libglade2.0-devel 
BuildRequires:	libgtksourceview-2.0-devel
BuildRequires:	libxml2-devel
BuildRequires:	evolution-data-server-devel
BuildRequires:	intltool
BuildRequires:	git-core
#gw libtool dep (GConf2?)
BuildRequires:	dbus-glib-devel
Requires:	git-core
Requires: %libname >= %version-%release

%description
Giggle is a graphical frontend for the git directory tracker.

%package -n %libname
Summary: %summary
Group: System/Libraries

%description -n %libname
Giggle is a graphical frontend for the git directory tracker.

%package -n %develname
Summary: %summary
Group: Development/C
Provides: lib%name-devel = %version-%release
Provides: %name-devel = %version-%release
Requires: %libname = %version-%release

%description -n %develname
Giggle is a graphical frontend for the git directory tracker.


%prep
%setup -q
%patch0 -p0

%build
%configure2_5x
%make

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall_std
%find_lang %name

%if %mdkversion < 200900
%post
%update_menus
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%clean_icon_cache hicolor
%endif

%clean
rm -rf %buildroot

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS README NEWS ChangeLog
%{_bindir}/*
%dir %_libdir/%name
%dir %_libdir/%name/plugins
%_libdir/%name/plugins/libpersonal-details*
%_libdir/%name/plugins/personal-details.xml
%{_datadir}/applications/%name.desktop
%{_datadir}/giggle/glade/main-window.glade
%{_iconsdir}/hicolor/*/apps/*

%files -n %libname
%defattr(-,root,root)
%_libdir/lib*-%version.so

%files -n %develname
%defattr(-,root,root)
%_libdir/*.la
%_libdir/libgiggle.so
%_libdir/libgiggle-git.so
%_includedir/%name



%changelog
* Mon Feb 16 2009 Funda Wang <fundawang@mandriva.org> 0.4.91-2mdv2009.1
+ Revision: 341157
- fix linakge

* Mon Feb 16 2009 Götz Waschk <waschk@mandriva.org> 0.4.91-1mdv2009.1
+ Revision: 340783
- new version
- libify the package

* Fri Feb 13 2009 Götz Waschk <waschk@mandriva.org> 0.4.90-1mdv2009.1
+ Revision: 340030
- new version
- fix build
- fix installation
- update file list
- fix build deps
- fix source URL

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.4-3mdv2009.0
+ Revision: 246122
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Funda Wang <fundawang@mandriva.org>
    - no need rm cache file

* Sun Dec 16 2007 Funda Wang <fundawang@mandriva.org> 0.4-1mdv2008.1
+ Revision: 120555
- add more doc files
- fix file list
- New version 0.4
- BR gtksourceview2

* Fri Dec 14 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.3-2mdv2008.1
+ Revision: 119926
- require the proper version of gtksourceview-devel
- rebuild b/c of missing package on ia32

* Thu May 10 2007 Frederic Crozat <fcrozat@mandriva.com> 0.3-1mdv2008.0
+ Revision: 26037
- Release 0.3
- Add dependency on git-core

* Thu May 03 2007 Pascal Terjan <pterjan@mandriva.org> 0.2-1mdv2008.0
+ Revision: 21683
- BuildRequires git-core
- 0.2


* Wed Mar 07 2007 Pascal Terjan <pterjan@mandriva.org> 0.1-1mdv2007.1
+ Revision: 134882
- Import giggle

* Wed Mar 07 2007 Pascal Terjan <pterjan@mandriva.org> 0.1-1mdv2007.1
- First Package

